"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationRoleType = exports.ApplicationRoleMemberEnableFlag = exports.PermissionFlag = exports.UserTypeEnums = exports.UserRequestAccessType = void 0;
const enumsClass_1 = require("../enumsClass");
const UserRequestAccessTypeEnum = {
    WebApplication: {
        value: 10,
        th: "Web Application",
        en: "Web Application",
    },
    WindowsApplication: {
        value: 20,
        th: "Windows Application",
        en: "Windows Application",
    },
    MobileApplication: {
        value: 30,
        th: "Mobile Application",
        en: "Mobile Application",
    },
    FunctionCall: {
        value: 40,
        th: "Function Call",
        en: "Function Call",
    },
};
exports.UserRequestAccessType = new enumsClass_1.Enums(UserRequestAccessTypeEnum);
const UserType = {
    HRDepart: {
        value: 100,
        th: "HR ฝ่าย",
        en: "HR Department",
    },
    HRLine: {
        value: 200,
        th: "HR สาย",
        en: "HR Line",
    },
    HRCenter: {
        value: 300,
        th: "HR กลาง",
        en: "HR Center",
    },
    AppAdmin: {
        value: 800,
        th: "Application Administrator",
        en: "Application Administrator",
    },
    SysAdmin: {
        value: 900,
        th: "System Administrator",
        en: "System Administrator",
    },
};
exports.UserTypeEnums = new enumsClass_1.Enums(UserType);
const PermissionFlagType = {
    USE: {
        value: 10,
        th: "ทำได้",
        en: "can use",
    },
    CANT_USE: {
        value: 20,
        th: "ไม่สามารถทำได้",
        en: "can not use",
    },
};
exports.PermissionFlag = new enumsClass_1.Enums(PermissionFlagType);
const ApplicationRoleMemberEnableFlagType = {
    ENABLE: {
        value: 10,
        th: "เปิดใช้งาน",
        en: "Enable",
    },
    DISABLE: {
        value: 20,
        th: "ปิดใช้งาน",
        en: "Disable",
    },
};
exports.ApplicationRoleMemberEnableFlag = new enumsClass_1.Enums(ApplicationRoleMemberEnableFlagType);
const ApplicationRoleTypeEnums = {
    HR_ADMIN: {
        value: 1100,
        th: "HR Admin",
        en: "HR Admin",
    },
    HRD_Boss: {
        value: 1150,
        th: "HRD_Boss",
        en: "HRD_Boss",
    },
    HRDBP: {
        value: 1200,
        th: "HRDBP",
        en: "HRDBP",
    },
    HRBP: {
        value: 1300,
        th: "HRBP ผู้แทนหน่วยงาน",
        en: "HRBP",
    },
    ORG_BOSS: {
        value: 1400,
        th: "Organization Boss",
        en: "Organization Boss",
    },
    PRJ_BOSS: {
        value: 1450,
        th: "Project Boss",
        en: "Project Boss",
    },
    Person: {
        value: 1500,
        th: "ผู้ปฏิบัติ",
        en: "Person",
    },
    SYS_ADMIN: {
        value: 9000,
        th: "System Administrator",
        en: "System Administrator",
    },
};
exports.ApplicationRoleType = new enumsClass_1.Enums(ApplicationRoleTypeEnums);
//# sourceMappingURL=application.js.map