import { Enums } from "../enumsClass";
export declare const CertificateType: Enums<{
    readonly Law: {
        readonly value: 10;
        readonly th: "กฎหมาย";
        readonly en: "Law";
    };
    readonly OccupationORJobPosition: {
        readonly value: 20;
        readonly th: "อาชีพ/ตำแหน่งงาน";
        readonly en: "Occupation/Job Position";
    };
    readonly QSHE: {
        readonly value: 30;
        readonly th: "QSHE";
        readonly en: "QSHE";
    };
}>;
export declare const CertificateExpireStatus: Enums<{
    readonly Expired: {
        readonly value: 100;
        readonly th: "ใบรับรองหมดอายุแล้ว";
        readonly en: "Certificate has expired";
    };
    readonly NotExpired: {
        readonly value: 200;
        readonly th: "ใบรับรองยังไม่หมดอายุ";
        readonly en: "Certificate has not expired";
    };
}>;
export declare const SourceType: Enums<{
    readonly CreatedFromSystem: {
        readonly value: 10;
        readonly th: "สร้างจากระบบ Certificate Template";
        readonly en: "Created from the Certificate Template system";
    };
    readonly AdditionalOutside: {
        readonly value: 20;
        readonly th: "บันทึกเพิ่มเติมจากภายนอก";
        readonly en: "Additional recordings from outside";
    };
}>;
export declare const NotificationProcessStatus: Enums<{
    readonly NotStarted: {
        readonly value: 100;
        readonly th: "ยังไม่เริ่มดำเนินการ";
        readonly en: "Not Yet Started";
    };
    readonly Start: {
        readonly value: 200;
        readonly th: "เริ่มดำเนินการ";
        readonly en: "Start";
    };
    readonly FailedReExecuted: {
        readonly value: 400;
        readonly th: "แจ้งเตือนไม่สำเร็จ ต้องดำเนินการใหม่";
        readonly en: "Notification Failed Must Be Re-Executed";
    };
    readonly FailedAndStopNotification: {
        readonly value: 800;
        readonly th: "แจ้งเตือนไม่สำเร็จ และยุติการแจ้งเตือน";
        readonly en: "Notification Failed And Stop Notification";
    };
    readonly Successful: {
        readonly value: 900;
        readonly th: "แจ้งเตือนสำเร็จ";
        readonly en: "Notification Successful";
    };
}>;
export declare const CertificateIssuerType: Enums<{
    readonly IssuedEGAT: {
        readonly value: 10;
        readonly th: "ออกให้โดย กฟผ.";
        readonly en: "Issued by EGAT.";
    };
    readonly IssuedExternal: {
        readonly value: 20;
        readonly th: "ออกให้โดยหน่วยงานภายนอก";
        readonly en: "Issued by an external organization";
    };
}>;
export declare const RegisterStatusStatus: Enums<{
    readonly Registered: {
        readonly value: 100;
        readonly th: "ลงทะเบียนผู้ได้รับใบรับรองแล้ว";
        readonly en: "Certificate recipients registered";
    };
    readonly CancelRegistration: {
        readonly value: 200;
        readonly th: "ยกเลิกการลงทะเบียน";
        readonly en: "Cancel registration";
    };
}>;
export declare const CertificateGenerateStatus: Enums<{
    readonly NotCreated: {
        readonly value: 100;
        readonly th: "ยังไม่สร้างใบรับรอง";
        readonly en: "Certificate not created";
    };
    readonly Generating: {
        readonly value: 200;
        readonly th: "กำลังสร้างใบรับรอง";
        readonly en: "Generating certificate";
    };
    readonly CancelCreation: {
        readonly value: 300;
        readonly th: "ยกเลิกใบรับรอง";
        readonly en: "Cancel certificate creation";
    };
    readonly CreationFailed: {
        readonly value: 400;
        readonly th: "ไม่สามารถสร้างใบรับรองได้";
        readonly en: "Certificate creation failed";
    };
    readonly CertificateCreated: {
        readonly value: 500;
        readonly th: "สร้างใบรับรองแล้ว";
        readonly en: "Certificate generated";
    };
}>;
