"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CertificateGenerateStatus = exports.RegisterStatusStatus = exports.CertificateIssuerType = exports.NotificationProcessStatus = exports.SourceType = exports.CertificateExpireStatus = exports.CertificateType = void 0;
const enumsClass_1 = require("../enumsClass");
const CertificateTypeEnums = {
    Law: {
        value: 10,
        th: "กฎหมาย",
        en: "Law",
    },
    OccupationORJobPosition: {
        value: 20,
        th: "อาชีพ/ตำแหน่งงาน",
        en: "Occupation/Job Position",
    },
    QSHE: {
        value: 30,
        th: "QSHE",
        en: "QSHE",
    },
};
exports.CertificateType = new enumsClass_1.Enums(CertificateTypeEnums);
const CertificateExpireStatusEnums = {
    Expired: {
        value: 100,
        th: "ใบรับรองหมดอายุแล้ว",
        en: "Certificate has expired",
    },
    NotExpired: {
        value: 200,
        th: "ใบรับรองยังไม่หมดอายุ",
        en: "Certificate has not expired",
    },
};
exports.CertificateExpireStatus = new enumsClass_1.Enums(CertificateExpireStatusEnums);
const SourceTypeEnums = {
    CreatedFromSystem: {
        value: 10,
        th: "สร้างจากระบบ Certificate Template",
        en: "Created from the Certificate Template system",
    },
    AdditionalOutside: {
        value: 20,
        th: "บันทึกเพิ่มเติมจากภายนอก",
        en: "Additional recordings from outside",
    },
};
exports.SourceType = new enumsClass_1.Enums(SourceTypeEnums);
const NotificationProcessStatusEnums = {
    NotStarted: {
        value: 100,
        th: "ยังไม่เริ่มดำเนินการ",
        en: "Not Yet Started",
    },
    Start: {
        value: 200,
        th: "เริ่มดำเนินการ",
        en: "Start",
    },
    FailedReExecuted: {
        value: 400,
        th: "แจ้งเตือนไม่สำเร็จ ต้องดำเนินการใหม่",
        en: "Notification Failed Must Be Re-Executed",
    },
    FailedAndStopNotification: {
        value: 800,
        th: "แจ้งเตือนไม่สำเร็จ และยุติการแจ้งเตือน",
        en: "Notification Failed And Stop Notification",
    },
    Successful: {
        value: 900,
        th: "แจ้งเตือนสำเร็จ",
        en: "Notification Successful",
    },
};
exports.NotificationProcessStatus = new enumsClass_1.Enums(NotificationProcessStatusEnums);
const CertificateIssuerTypeEnums = {
    IssuedEGAT: {
        value: 10,
        th: "ออกให้โดย กฟผ.",
        en: "Issued by EGAT.",
    },
    IssuedExternal: {
        value: 20,
        th: "ออกให้โดยหน่วยงานภายนอก",
        en: "Issued by an external organization",
    },
};
exports.CertificateIssuerType = new enumsClass_1.Enums(CertificateIssuerTypeEnums);
const RegisterStatusStatusEnums = {
    Registered: {
        value: 100,
        th: "ลงทะเบียนผู้ได้รับใบรับรองแล้ว",
        en: "Certificate recipients registered",
    },
    CancelRegistration: {
        value: 200,
        th: "ยกเลิกการลงทะเบียน",
        en: "Cancel registration",
    },
};
exports.RegisterStatusStatus = new enumsClass_1.Enums(RegisterStatusStatusEnums);
const CertificateGenerateStatusEnums = {
    NotCreated: {
        value: 100,
        th: "ยังไม่สร้างใบรับรอง",
        en: "Certificate not created",
    },
    Generating: {
        value: 200,
        th: "กำลังสร้างใบรับรอง",
        en: "Generating certificate",
    },
    CancelCreation: {
        value: 300,
        th: "ยกเลิกใบรับรอง",
        en: "Cancel certificate creation",
    },
    CreationFailed: {
        value: 400,
        th: "ไม่สามารถสร้างใบรับรองได้",
        en: "Certificate creation failed",
    },
    CertificateCreated: {
        value: 500,
        th: "สร้างใบรับรองแล้ว",
        en: "Certificate generated",
    },
};
exports.CertificateGenerateStatus = new enumsClass_1.Enums(CertificateGenerateStatusEnums);
//# sourceMappingURL=certificate.js.map