import { Enums } from "../enumsClass";
export declare const ExamType: Enums<{
    readonly Questionnaire: {
        readonly value: 10;
        readonly th: "แบบสอบถามความพึงพอใจ";
        readonly en: "Questionnaire";
    };
    readonly UsageQuestionnaire: {
        readonly value: 20;
        readonly th: "แบบสอบถามการนำไปใช้ประโยชน์";
        readonly en: "Usage-Questionnaire";
    };
    readonly PreTest: {
        readonly value: 30;
        readonly th: "แบบทดสอบก่อนเรียน";
        readonly en: "Pre-Test";
    };
    readonly PostTest: {
        readonly value: 40;
        readonly th: "แบบทดสอบหลังเรียน";
        readonly en: "Post-Test";
    };
}>;
export declare const UsedStatus: Enums<{
    readonly Used: {
        readonly value: 100;
        readonly th: "ถูกใช้งานแล้วอย่างน้อย 1 ครั้ง";
        readonly en: "Used";
    };
    readonly NotUsed: {
        readonly value: 200;
        readonly th: "ยังไม่เคยถูกใช้งาน";
        readonly en: "Not Used";
    };
}>;
export declare const ExamTemplateStatus: Enums<{
    readonly StatusCreate: {
        readonly value: 100;
        readonly th: "ร่างแบบ";
        readonly en: "Create Template";
    };
    readonly StatusSaved: {
        readonly value: 200;
        readonly th: "บันทึกแบบ/สมบูรณ์";
        readonly en: "Saved Template";
    };
    readonly StatusAccept: {
        readonly value: 300;
        readonly th: "รับรองแบบนำไปใช้ได้";
        readonly en: "Accept Template";
    };
}>;
export declare const VerifyStatus: Enums<{
    readonly New: {
        readonly value: 100;
        readonly th: "ใหม่รอการตรวจสอบ";
        readonly en: "New";
    };
    readonly Verify: {
        readonly value: 200;
        readonly th: "กำลังตรวจสอบ";
        readonly en: "Verify";
    };
    readonly Cancel: {
        readonly value: 300;
        readonly th: "ยกเลิก";
        readonly en: "Cancel";
    };
    readonly Incorrect: {
        readonly value: 400;
        readonly th: "ผิดพลาด";
        readonly en: "Incorrect";
    };
    readonly Complete: {
        readonly value: 500;
        readonly th: "สมบูรณ์";
        readonly en: "Complete";
    };
}>;
export declare const ExamTemplateGenerateStatus: Enums<{
    readonly Accept: {
        readonly value: 100;
        readonly th: "อนุญาติให้นำไปสร้างแบบ";
        readonly en: "Accept";
    };
    readonly NotAccept: {
        readonly value: 200;
        readonly th: "ไม่อนุญาติให้นำไปสร้างแบบ";
        readonly en: "Not Accept";
    };
}>;
export declare const SectorType: Enums<{
    readonly Sorting: {
        readonly value: 10;
        readonly th: "แบบทดสอบเรียงลำดับ";
        readonly en: "Sorting Test";
    };
    readonly Appropriate: {
        readonly value: 20;
        readonly th: "แบบทดสอบเลือกที่เหมาะสม";
        readonly en: "Appropriate Test";
    };
    readonly Priority: {
        readonly value: 30;
        readonly th: "แบบทดสอบลำดับความสำคัญ";
        readonly en: "Priority Test";
    };
}>;
export declare const InputType: Enums<{
    readonly Radio: {
        readonly value: 10;
        readonly th: "เลือกตอบ 1 ตัวเลือก";
        readonly en: "Radio";
    };
    readonly CheckBox: {
        readonly value: 20;
        readonly th: "เลือกตอบหลายตัวเลือก";
        readonly en: "Check Box";
    };
    readonly Grid: {
        readonly value: 30;
        readonly th: "ตารางตัวเลือกหลายข้อ";
        readonly en: "Multiple Choice Grid";
    };
    readonly SingleLine: {
        readonly value: 40;
        readonly th: "คำตอบ 1 บรรทัด";
        readonly en: "Single Line";
    };
    readonly MultipleLine: {
        readonly value: 50;
        readonly th: "คำตอบหลายบรรทัด";
        readonly en: "Multiple Line";
    };
    readonly Date: {
        readonly value: 60;
        readonly th: "วันที่";
        readonly en: "Date";
    };
    readonly Group: {
        readonly value: 70;
        readonly th: "โจทย์ร่วม";
        readonly en: "Group";
    };
    readonly Matching: {
        readonly value: 80;
        readonly th: "จับคู่";
        readonly en: "Matching";
    };
    readonly TrueFalse: {
        readonly value: 90;
        readonly th: "ถูก/ผิด";
        readonly en: "True/False";
    };
}>;
export declare const InputOptionType: Enums<{
    readonly Radio: {
        readonly value: 11;
        readonly th: "ตัวเลือก Radio";
        readonly en: "Radio";
    };
    readonly RadioOther: {
        readonly value: 12;
        readonly th: "ตัวเลือก Radio และอื่นๆ";
        readonly en: "RadioOther";
    };
    readonly Checkbox: {
        readonly value: 21;
        readonly th: "ตัวเลือก Checkbox";
        readonly en: "Checkbox";
    };
    readonly CheckboxOther: {
        readonly value: 22;
        readonly th: "ตัวเลือก Checkbox และอื่นๆ";
        readonly en: "CheckboxOther";
    };
    readonly GridChoice: {
        readonly value: 31;
        readonly th: "คำถามของ Grid, GridChoice";
        readonly en: "GridChoice";
    };
    readonly Other: {
        readonly value: 99;
        readonly th: "ตัวเลือกอื่นๆ";
        readonly en: "Other";
    };
}>;
export declare const AnswerType: Enums<{
    readonly NotSpecified: {
        readonly value: 0;
        readonly th: "ไม่กำหนด";
        readonly en: "Not Specified";
    };
    readonly Correct: {
        readonly value: 10;
        readonly th: "เป็นคำตอบที่ถูกต้อง";
        readonly en: "Correct Answer";
    };
    readonly Wrong: {
        readonly value: 20;
        readonly th: "ไม่ใช่คำตอบ";
        readonly en: "Wrong Answer";
    };
}>;
export declare const DisplayStyleType: Enums<{
    readonly Vertical: {
        readonly value: 10;
        readonly th: "รูปแบบการแสดงแนวตั้ง";
        readonly en: "Vertical";
    };
    readonly Horizontal: {
        readonly value: 20;
        readonly th: "รูปแบบการแสดงแนวนอน";
        readonly en: "Horizontal";
    };
    readonly NStyle: {
        readonly value: 30;
        readonly th: "รูปแบบการแสดงแนว N";
        readonly en: "NStyle";
    };
    readonly ZStyle: {
        readonly value: 40;
        readonly th: "รูปแบบการแสดงแนว Z";
        readonly en: "ZStyle";
    };
}>;
export declare const ExamStatus: Enums<{
    readonly NotCreated: {
        readonly value: 100;
        readonly th: "ยังไม่สร้างแบบทดสอบ";
        readonly en: "Not Created";
    };
    readonly TakingExam: {
        readonly value: 200;
        readonly th: "อยู่ระหว่างทำแบบทดสอบ";
        readonly en: "Taking an Exam";
    };
    readonly CancelExam: {
        readonly value: 300;
        readonly th: "แบบทดสอบถูกยกเลิก";
        readonly en: "Cancel Exam";
    };
    readonly SubmittedExam: {
        readonly value: 400;
        readonly th: "ส่งผลการทดสอบแล้ว";
        readonly en: "Submitted exam";
    };
}>;
export declare const ExamFormStatus: Enums<{
    readonly CreateForm: {
        readonly value: 400;
        readonly th: "สร้างแบบฟอร์ม";
        readonly en: "Create Form";
    };
    readonly StartForm: {
        readonly value: 500;
        readonly th: "ทำการทดสอบ";
        readonly en: "Start Form";
    };
    readonly SubmitForm: {
        readonly value: 550;
        readonly th: "ส่งแบบฟอร์ม";
        readonly en: "Submit Form";
    };
    readonly ProcessingForm: {
        readonly value: 600;
        readonly th: "ทำการประมวลผลแบบฟอร์ม";
        readonly en: "Processing Form";
    };
    readonly SendResults: {
        readonly value: 700;
        readonly th: "ส่งผลการประมวล / รอแจ้งผล";
        readonly en: "Send Results";
    };
    readonly Cancel: {
        readonly value: 5000;
        readonly th: "ยกเลิกแบบฟอร์ม";
        readonly en: "Cancel";
    };
    readonly TimedOut: {
        readonly value: 6000;
        readonly th: "แบบฟอร์มหมดเวลา";
        readonly en: "Timed Out";
    };
}>;
export declare const CheckStatus: Enums<{
    readonly Verified: {
        readonly value: 100;
        readonly th: "ตรวจแล้ว";
        readonly en: "Verified";
    };
    readonly NotVerified: {
        readonly value: 200;
        readonly th: "ยังไม่ตรวจ";
        readonly en: "Not Verified";
    };
}>;
export declare const RandomOrderChoiceStatus: Enums<{
    readonly Allow: {
        readonly value: 100;
        readonly th: "อนุญาตให้สุ่มลำดับตัวเลือก";
        readonly en: "Allow";
    };
    readonly Disallow: {
        readonly value: 200;
        readonly th: "ไม่อนุญาตให้สุ่มลำดับตัวเลือก";
        readonly en: "Disallow";
    };
}>;
export declare const ChoiceDisplayType: Enums<{
    readonly AlphabetUpper: {
        readonly value: 10;
        readonly th: "รูปแบบ A, B, C, ...";
        readonly en: "Alphabet Upper";
    };
    readonly AlphabetLower: {
        readonly value: 20;
        readonly th: "รูปแบบ a, b, c, ...";
        readonly en: "Alphabet Lower";
    };
    readonly AlphabetThai: {
        readonly value: 30;
        readonly th: "รูปแบบ ก, ข, ค, ...";
        readonly en: "Alphabet Thai";
    };
    readonly Number: {
        readonly value: 40;
        readonly th: "รูปแบบ 1, 2, 3, ...";
        readonly en: "Number";
    };
}>;
export declare const RequireFieldType: Enums<{
    readonly Require: {
        readonly value: 10;
        readonly th: "จำเป็นต้องมีคำตอบ";
        readonly en: "Require";
    };
    readonly Optional: {
        readonly value: 20;
        readonly th: "ไม่มีคำตอบได้";
        readonly en: "Optional";
    };
}>;
export declare const AnswerStatus: Enums<{
    readonly Answered: {
        readonly value: 100;
        readonly th: "สถานะตอบแล้ว";
        readonly en: "Answered";
    };
    readonly NotAnswered: {
        readonly value: 200;
        readonly th: "สถานะยังไม่ได้ตอบ";
        readonly en: "Not Answered";
    };
}>;
export declare const ExamFormSectorStatus: Enums<{
    readonly Save: {
        readonly value: 430;
        readonly th: "บันทึกแบบ";
        readonly en: "Save";
    };
    readonly OrderToCertify: {
        readonly value: 440;
        readonly th: "สั่งให้รับรองแบบ";
        readonly en: "Order To Certify";
    };
    readonly Certify: {
        readonly value: 450;
        readonly th: "รับรองแบบ";
        readonly en: "Certify";
    };
    readonly NotCertified: {
        readonly value: 455;
        readonly th: "ไม่รับรองแบบ";
        readonly en: "Not Certified";
    };
    readonly SubmitFormORWaitForExam: {
        readonly value: 460;
        readonly th: "ส่งแบบ/รอสอบ";
        readonly en: "Submit Form/Wait For Exam";
    };
    readonly OrderedToTakeExam: {
        readonly value: 500;
        readonly th: "สั่งให้สอบ";
        readonly en: "Ordered To Take Exam";
    };
    readonly TakeExam: {
        readonly value: 510;
        readonly th: "ทำการสอบ";
        readonly en: "Take Exam";
    };
    readonly SubmitTestORWaitForProcessing: {
        readonly value: 520;
        readonly th: "ส่งการทดสอบ/รอการประมวลผล";
        readonly en: "Submit Test/Wait For Processing";
    };
    readonly Processing: {
        readonly value: 610;
        readonly th: "ทำการประมวลผล";
        readonly en: "Processing";
    };
    readonly SendProcessingResultsORWaitingForResultsNotification: {
        readonly value: 620;
        readonly th: "ส่งผลการประมวลผล/รอการแจ้งผล";
        readonly en: "Send Processing Results/Waiting For Results Notification";
    };
    readonly OrderToNotifyTheProcessingResults: {
        readonly value: 700;
        readonly th: "สั่งให้แจ้งผลการประมวลผล";
        readonly en: "Order To Notify The Processing Results";
    };
    readonly NotifyResults: {
        readonly value: 710;
        readonly th: "ทำการแจ้งผล";
        readonly en: "Notify Results";
    };
}>;
