"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExamFormSectorStatus = exports.AnswerStatus = exports.RequireFieldType = exports.ChoiceDisplayType = exports.RandomOrderChoiceStatus = exports.CheckStatus = exports.ExamFormStatus = exports.ExamStatus = exports.DisplayStyleType = exports.AnswerType = exports.InputOptionType = exports.InputType = exports.SectorType = exports.ExamTemplateGenerateStatus = exports.VerifyStatus = exports.ExamTemplateStatus = exports.UsedStatus = exports.ExamType = void 0;
const enumsClass_1 = require("../enumsClass");
const ExamTypeEnums = {
    Questionnaire: {
        value: 10,
        th: "แบบสอบถามความพึงพอใจ",
        en: "Questionnaire",
    },
    UsageQuestionnaire: {
        value: 20,
        th: "แบบสอบถามการนำไปใช้ประโยชน์",
        en: "Usage-Questionnaire",
    },
    PreTest: {
        value: 30,
        th: "แบบทดสอบก่อนเรียน",
        en: "Pre-Test",
    },
    PostTest: {
        value: 40,
        th: "แบบทดสอบหลังเรียน",
        en: "Post-Test",
    },
};
exports.ExamType = new enumsClass_1.Enums(ExamTypeEnums);
const UsedStatusEnums = {
    Used: {
        value: 100,
        th: "ถูกใช้งานแล้วอย่างน้อย 1 ครั้ง",
        en: "Used",
    },
    NotUsed: {
        value: 200,
        th: "ยังไม่เคยถูกใช้งาน",
        en: "Not Used",
    },
};
exports.UsedStatus = new enumsClass_1.Enums(UsedStatusEnums);
const ExamTemplateStatusEnums = {
    StatusCreate: {
        value: 100,
        th: "ร่างแบบ",
        en: "Create Template",
    },
    StatusSaved: {
        value: 200,
        th: "บันทึกแบบ/สมบูรณ์",
        en: "Saved Template",
    },
    StatusAccept: {
        value: 300,
        th: "รับรองแบบนำไปใช้ได้",
        en: "Accept Template",
    },
};
exports.ExamTemplateStatus = new enumsClass_1.Enums(ExamTemplateStatusEnums);
const VerifyStatusEnums = {
    New: {
        value: 100,
        th: "ใหม่รอการตรวจสอบ",
        en: "New",
    },
    Verify: {
        value: 200,
        th: "กำลังตรวจสอบ",
        en: "Verify",
    },
    Cancel: {
        value: 300,
        th: "ยกเลิก",
        en: "Cancel",
    },
    Incorrect: {
        value: 400,
        th: "ผิดพลาด",
        en: "Incorrect",
    },
    Complete: {
        value: 500,
        th: "สมบูรณ์",
        en: "Complete",
    },
};
exports.VerifyStatus = new enumsClass_1.Enums(VerifyStatusEnums);
const ExamTemplateGenerateStatusEnums = {
    Accept: {
        value: 100,
        th: "อนุญาติให้นำไปสร้างแบบ",
        en: "Accept",
    },
    NotAccept: {
        value: 200,
        th: "ไม่อนุญาติให้นำไปสร้างแบบ",
        en: "Not Accept",
    },
};
exports.ExamTemplateGenerateStatus = new enumsClass_1.Enums(ExamTemplateGenerateStatusEnums);
const SectorTypeEnums = {
    Sorting: {
        value: 10,
        th: "แบบทดสอบเรียงลำดับ",
        en: "Sorting Test",
    },
    Appropriate: {
        value: 20,
        th: "แบบทดสอบเลือกที่เหมาะสม",
        en: "Appropriate Test",
    },
    Priority: {
        value: 30,
        th: "แบบทดสอบลำดับความสำคัญ",
        en: "Priority Test",
    },
};
exports.SectorType = new enumsClass_1.Enums(SectorTypeEnums);
const InputTypeEnums = {
    Radio: {
        value: 10,
        th: "เลือกตอบ 1 ตัวเลือก",
        en: "Radio",
    },
    CheckBox: {
        value: 20,
        th: "เลือกตอบหลายตัวเลือก",
        en: "Check Box",
    },
    Grid: {
        value: 30,
        th: "ตารางตัวเลือกหลายข้อ",
        en: "Multiple Choice Grid",
    },
    SingleLine: {
        value: 40,
        th: "คำตอบ 1 บรรทัด",
        en: "Single Line",
    },
    MultipleLine: {
        value: 50,
        th: "คำตอบหลายบรรทัด",
        en: "Multiple Line",
    },
    Date: {
        value: 60,
        th: "วันที่",
        en: "Date",
    },
    Group: {
        value: 70,
        th: "โจทย์ร่วม",
        en: "Group",
    },
    Matching: {
        value: 80,
        th: "จับคู่",
        en: "Matching",
    },
    TrueFalse: {
        value: 90,
        th: "ถูก/ผิด",
        en: "True/False",
    },
};
exports.InputType = new enumsClass_1.Enums(InputTypeEnums);
const InputOptionTypeEnums = {
    Radio: {
        value: 11,
        th: "ตัวเลือก Radio",
        en: "Radio",
    },
    RadioOther: {
        value: 12,
        th: "ตัวเลือก Radio และอื่นๆ",
        en: "RadioOther",
    },
    Checkbox: {
        value: 21,
        th: "ตัวเลือก Checkbox",
        en: "Checkbox",
    },
    CheckboxOther: {
        value: 22,
        th: "ตัวเลือก Checkbox และอื่นๆ",
        en: "CheckboxOther",
    },
    GridChoice: {
        value: 31,
        th: "คำถามของ Grid, GridChoice",
        en: "GridChoice",
    },
    Other: {
        value: 99,
        th: "ตัวเลือกอื่นๆ",
        en: "Other",
    },
};
exports.InputOptionType = new enumsClass_1.Enums(InputOptionTypeEnums);
const AnswerTypeEnums = {
    NotSpecified: {
        value: 0,
        th: "ไม่กำหนด",
        en: "Not Specified",
    },
    Correct: {
        value: 10,
        th: "เป็นคำตอบที่ถูกต้อง",
        en: "Correct Answer",
    },
    Wrong: {
        value: 20,
        th: "ไม่ใช่คำตอบ",
        en: "Wrong Answer",
    },
};
exports.AnswerType = new enumsClass_1.Enums(AnswerTypeEnums);
const DisplayStyleTypeEnums = {
    Vertical: {
        value: 10,
        th: "รูปแบบการแสดงแนวตั้ง",
        en: "Vertical",
    },
    Horizontal: {
        value: 20,
        th: "รูปแบบการแสดงแนวนอน",
        en: "Horizontal",
    },
    NStyle: {
        value: 30,
        th: "รูปแบบการแสดงแนว N",
        en: "NStyle",
    },
    ZStyle: {
        value: 40,
        th: "รูปแบบการแสดงแนว Z",
        en: "ZStyle",
    },
};
exports.DisplayStyleType = new enumsClass_1.Enums(DisplayStyleTypeEnums);
const ExamStatusEnums = {
    NotCreated: {
        value: 100,
        th: "ยังไม่สร้างแบบทดสอบ",
        en: "Not Created",
    },
    TakingExam: {
        value: 200,
        th: "อยู่ระหว่างทำแบบทดสอบ",
        en: "Taking an Exam",
    },
    CancelExam: {
        value: 300,
        th: "แบบทดสอบถูกยกเลิก",
        en: "Cancel Exam",
    },
    SubmittedExam: {
        value: 400,
        th: "ส่งผลการทดสอบแล้ว",
        en: "Submitted exam",
    },
};
exports.ExamStatus = new enumsClass_1.Enums(ExamStatusEnums);
const ExamFormStatusEnums = {
    CreateForm: {
        value: 400,
        th: "สร้างแบบฟอร์ม",
        en: "Create Form",
    },
    StartForm: {
        value: 500,
        th: "ทำการทดสอบ",
        en: "Start Form",
    },
    SubmitForm: {
        value: 550,
        th: "ส่งแบบฟอร์ม",
        en: "Submit Form",
    },
    ProcessingForm: {
        value: 600,
        th: "ทำการประมวลผลแบบฟอร์ม",
        en: "Processing Form",
    },
    SendResults: {
        value: 700,
        th: "ส่งผลการประมวล / รอแจ้งผล",
        en: "Send Results",
    },
    Cancel: {
        value: 5000,
        th: "ยกเลิกแบบฟอร์ม",
        en: "Cancel",
    },
    TimedOut: {
        value: 6000,
        th: "แบบฟอร์มหมดเวลา",
        en: "Timed Out",
    },
};
exports.ExamFormStatus = new enumsClass_1.Enums(ExamFormStatusEnums);
const CheckStatusEnums = {
    Verified: {
        value: 100,
        th: "ตรวจแล้ว",
        en: "Verified",
    },
    NotVerified: {
        value: 200,
        th: "ยังไม่ตรวจ",
        en: "Not Verified",
    },
};
exports.CheckStatus = new enumsClass_1.Enums(CheckStatusEnums);
const RandomOrderChoiceStatusEnums = {
    Allow: {
        value: 100,
        th: "อนุญาตให้สุ่มลำดับตัวเลือก",
        en: "Allow",
    },
    Disallow: {
        value: 200,
        th: "ไม่อนุญาตให้สุ่มลำดับตัวเลือก",
        en: "Disallow",
    },
};
exports.RandomOrderChoiceStatus = new enumsClass_1.Enums(RandomOrderChoiceStatusEnums);
const ChoiceDisplayTypeEnums = {
    AlphabetUpper: {
        value: 10,
        th: "รูปแบบ A, B, C, ...",
        en: "Alphabet Upper",
    },
    AlphabetLower: {
        value: 20,
        th: "รูปแบบ a, b, c, ...",
        en: "Alphabet Lower",
    },
    AlphabetThai: {
        value: 30,
        th: "รูปแบบ ก, ข, ค, ...",
        en: "Alphabet Thai",
    },
    Number: {
        value: 40,
        th: "รูปแบบ 1, 2, 3, ...",
        en: "Number",
    },
};
exports.ChoiceDisplayType = new enumsClass_1.Enums(ChoiceDisplayTypeEnums);
const RequireFieldTypeEnums = {
    Require: {
        value: 10,
        th: "จำเป็นต้องมีคำตอบ",
        en: "Require",
    },
    Optional: {
        value: 20,
        th: "ไม่มีคำตอบได้",
        en: "Optional",
    },
};
exports.RequireFieldType = new enumsClass_1.Enums(RequireFieldTypeEnums);
const AnswerStatusEnums = {
    Answered: {
        value: 100,
        th: "สถานะตอบแล้ว",
        en: "Answered",
    },
    NotAnswered: {
        value: 200,
        th: "สถานะยังไม่ได้ตอบ",
        en: "Not Answered",
    },
};
exports.AnswerStatus = new enumsClass_1.Enums(AnswerStatusEnums);
const ExamFormSectorStatusEnums = {
    Save: {
        value: 430,
        th: "บันทึกแบบ",
        en: "Save",
    },
    OrderToCertify: {
        value: 440,
        th: "สั่งให้รับรองแบบ",
        en: "Order To Certify",
    },
    Certify: {
        value: 450,
        th: "รับรองแบบ",
        en: "Certify",
    },
    NotCertified: {
        value: 455,
        th: "ไม่รับรองแบบ",
        en: "Not Certified",
    },
    SubmitFormORWaitForExam: {
        value: 460,
        th: "ส่งแบบ/รอสอบ",
        en: "Submit Form/Wait For Exam",
    },
    OrderedToTakeExam: {
        value: 500,
        th: "สั่งให้สอบ",
        en: "Ordered To Take Exam",
    },
    TakeExam: {
        value: 510,
        th: "ทำการสอบ",
        en: "Take Exam",
    },
    SubmitTestORWaitForProcessing: {
        value: 520,
        th: "ส่งการทดสอบ/รอการประมวลผล",
        en: "Submit Test/Wait For Processing",
    },
    Processing: {
        value: 610,
        th: "ทำการประมวลผล",
        en: "Processing",
    },
    SendProcessingResultsORWaitingForResultsNotification: {
        value: 620,
        th: "ส่งผลการประมวลผล/รอการแจ้งผล",
        en: "Send Processing Results/Waiting For Results Notification",
    },
    OrderToNotifyTheProcessingResults: {
        value: 700,
        th: "สั่งให้แจ้งผลการประมวลผล",
        en: "Order To Notify The Processing Results",
    },
    NotifyResults: {
        value: 710,
        th: "ทำการแจ้งผล",
        en: "Notify Results",
    },
};
exports.ExamFormSectorStatus = new enumsClass_1.Enums(ExamFormSectorStatusEnums);
//# sourceMappingURL=exam.js.map