declare const ESIEnum: {
    CertificateType: import("./enumsClass").Enums<{
        readonly Law: {
            readonly value: 10;
            readonly th: "กฎหมาย";
            readonly en: "Law";
        };
        readonly OccupationORJobPosition: {
            readonly value: 20;
            readonly th: "อาชีพ/ตำแหน่งงาน";
            readonly en: "Occupation/Job Position";
        };
        readonly QSHE: {
            readonly value: 30;
            readonly th: "QSHE";
            readonly en: "QSHE";
        };
    }>;
    CertificateExpireStatus: import("./enumsClass").Enums<{
        readonly Expired: {
            readonly value: 100;
            readonly th: "ใบรับรองหมดอายุแล้ว";
            readonly en: "Certificate has expired";
        };
        readonly NotExpired: {
            readonly value: 200;
            readonly th: "ใบรับรองยังไม่หมดอายุ";
            readonly en: "Certificate has not expired";
        };
    }>;
    SourceType: import("./enumsClass").Enums<{
        readonly CreatedFromSystem: {
            readonly value: 10;
            readonly th: "สร้างจากระบบ Certificate Template";
            readonly en: "Created from the Certificate Template system";
        };
        readonly AdditionalOutside: {
            readonly value: 20;
            readonly th: "บันทึกเพิ่มเติมจากภายนอก";
            readonly en: "Additional recordings from outside";
        };
    }>;
    NotificationProcessStatus: import("./enumsClass").Enums<{
        readonly NotStarted: {
            readonly value: 100;
            readonly th: "ยังไม่เริ่มดำเนินการ";
            readonly en: "Not Yet Started";
        };
        readonly Start: {
            readonly value: 200;
            readonly th: "เริ่มดำเนินการ";
            readonly en: "Start";
        };
        readonly FailedReExecuted: {
            readonly value: 400;
            readonly th: "แจ้งเตือนไม่สำเร็จ ต้องดำเนินการใหม่";
            readonly en: "Notification Failed Must Be Re-Executed";
        };
        readonly FailedAndStopNotification: {
            readonly value: 800;
            readonly th: "แจ้งเตือนไม่สำเร็จ และยุติการแจ้งเตือน";
            readonly en: "Notification Failed And Stop Notification";
        };
        readonly Successful: {
            readonly value: 900;
            readonly th: "แจ้งเตือนสำเร็จ";
            readonly en: "Notification Successful";
        };
    }>;
    CertificateIssuerType: import("./enumsClass").Enums<{
        readonly IssuedEGAT: {
            readonly value: 10;
            readonly th: "ออกให้โดย กฟผ.";
            readonly en: "Issued by EGAT.";
        };
        readonly IssuedExternal: {
            readonly value: 20;
            readonly th: "ออกให้โดยหน่วยงานภายนอก";
            readonly en: "Issued by an external organization";
        };
    }>;
    RegisterStatusStatus: import("./enumsClass").Enums<{
        readonly Registered: {
            readonly value: 100;
            readonly th: "ลงทะเบียนผู้ได้รับใบรับรองแล้ว";
            readonly en: "Certificate recipients registered";
        };
        readonly CancelRegistration: {
            readonly value: 200;
            readonly th: "ยกเลิกการลงทะเบียน";
            readonly en: "Cancel registration";
        };
    }>;
    CertificateGenerateStatus: import("./enumsClass").Enums<{
        readonly NotCreated: {
            readonly value: 100;
            readonly th: "ยังไม่สร้างใบรับรอง";
            readonly en: "Certificate not created";
        };
        readonly Generating: {
            readonly value: 200;
            readonly th: "กำลังสร้างใบรับรอง";
            readonly en: "Generating certificate";
        };
        readonly CancelCreation: {
            readonly value: 300;
            readonly th: "ยกเลิกใบรับรอง";
            readonly en: "Cancel certificate creation";
        };
        readonly CreationFailed: {
            readonly value: 400;
            readonly th: "ไม่สามารถสร้างใบรับรองได้";
            readonly en: "Certificate creation failed";
        };
        readonly CertificateCreated: {
            readonly value: 500;
            readonly th: "สร้างใบรับรองแล้ว";
            readonly en: "Certificate generated";
        };
    }>;
    ExamRoomStatus: import("./enumsClass").Enums<{
        readonly Open: {
            readonly value: 100;
            readonly th: "เปิดให้ทำ ได้";
            readonly en: "Open";
        };
        readonly Pause: {
            readonly value: 200;
            readonly th: "หยุดการทำ ชั่วคราว";
            readonly en: "Pause";
        };
        readonly Close: {
            readonly value: 300;
            readonly th: "ปิดไม่ให้ทำ ตลอดไป";
            readonly en: "Close";
        };
    }>;
    OverAllExamStatus: import("./enumsClass").Enums<{
        readonly NoTests: {
            readonly value: 100;
            readonly th: "ไม่มีการทำแบบเลย";
            readonly en: "No Tests";
        };
        readonly SomeTestsDone: {
            readonly value: 200;
            readonly th: "มีการทำแบบบ้างส่วน";
            readonly en: "Some Tests Done";
        };
        readonly AllTestsCompleted: {
            readonly value: 300;
            readonly th: "มีการทำแบบทั้งหมดแล้ว";
            readonly en: "All Tests Completed";
        };
        readonly AllTestSubmitted: {
            readonly value: 400;
            readonly th: "ส่งผลการทดสอบทั้งหมดเรียบร้อยแล้ว";
            readonly en: "All Test Submitted";
        };
    }>;
    PermissionType: import("./enumsClass").Enums<{
        readonly Use: {
            readonly value: 10;
            readonly th: "Use";
            readonly en: "Use";
        };
        readonly View: {
            readonly value: 20;
            readonly th: "View";
            readonly en: "View";
        };
        readonly Edit: {
            readonly value: 30;
            readonly th: "Edit";
            readonly en: "Edit";
        };
        readonly Delete: {
            readonly value: 40;
            readonly th: "Delete";
            readonly en: "Delete";
        };
        readonly Add: {
            readonly value: 50;
            readonly th: "Add";
            readonly en: "Add";
        };
    }>;
    UserRequestAccessType: import("./enumsClass").Enums<{
        readonly WebApplication: {
            readonly value: 10;
            readonly th: "Web Application";
            readonly en: "Web Application";
        };
        readonly WindowsApplication: {
            readonly value: 20;
            readonly th: "Windows Application";
            readonly en: "Windows Application";
        };
        readonly MobileApplication: {
            readonly value: 30;
            readonly th: "Mobile Application";
            readonly en: "Mobile Application";
        };
        readonly FunctionCall: {
            readonly value: 40;
            readonly th: "Function Call";
            readonly en: "Function Call";
        };
    }>;
    UserTypeEnums: import("./enumsClass").Enums<{
        readonly HRDepart: {
            readonly value: 100;
            readonly th: "HR ฝ่าย";
            readonly en: "HR Department";
        };
        readonly HRLine: {
            readonly value: 200;
            readonly th: "HR สาย";
            readonly en: "HR Line";
        };
        readonly HRCenter: {
            readonly value: 300;
            readonly th: "HR กลาง";
            readonly en: "HR Center";
        };
        readonly AppAdmin: {
            readonly value: 800;
            readonly th: "Application Administrator";
            readonly en: "Application Administrator";
        };
        readonly SysAdmin: {
            readonly value: 900;
            readonly th: "System Administrator";
            readonly en: "System Administrator";
        };
    }>;
    PermissionFlag: import("./enumsClass").Enums<{
        readonly USE: {
            readonly value: 10;
            readonly th: "ทำได้";
            readonly en: "can use";
        };
        readonly CANT_USE: {
            readonly value: 20;
            readonly th: "ไม่สามารถทำได้";
            readonly en: "can not use";
        };
    }>;
    ApplicationRoleMemberEnableFlag: import("./enumsClass").Enums<{
        ENABLE: {
            value: number;
            th: string;
            en: string;
        };
        DISABLE: {
            value: number;
            th: string;
            en: string;
        };
    }>;
    ApplicationRoleType: import("./enumsClass").Enums<{
        readonly HR_ADMIN: {
            readonly value: 1100;
            readonly th: "HR Admin";
            readonly en: "HR Admin";
        };
        readonly HRD_Boss: {
            readonly value: 1150;
            readonly th: "HRD_Boss";
            readonly en: "HRD_Boss";
        };
        readonly HRDBP: {
            readonly value: 1200;
            readonly th: "HRDBP";
            readonly en: "HRDBP";
        };
        readonly HRBP: {
            readonly value: 1300;
            readonly th: "HRBP ผู้แทนหน่วยงาน";
            readonly en: "HRBP";
        };
        readonly ORG_BOSS: {
            readonly value: 1400;
            readonly th: "Organization Boss";
            readonly en: "Organization Boss";
        };
        readonly PRJ_BOSS: {
            readonly value: 1450;
            readonly th: "Project Boss";
            readonly en: "Project Boss";
        };
        readonly Person: {
            readonly value: 1500;
            readonly th: "ผู้ปฏิบัติ";
            readonly en: "Person";
        };
        readonly SYS_ADMIN: {
            readonly value: 9000;
            readonly th: "System Administrator";
            readonly en: "System Administrator";
        };
    }>;
    FileType: import("./enumsClass").Enums<{
        readonly JPG: {
            readonly value: 100;
            readonly th: "JPG";
            readonly en: "JPG";
        };
        readonly PNG: {
            readonly value: 200;
            readonly th: "PNG";
            readonly en: "PNG";
        };
        readonly PDF: {
            readonly value: 300;
            readonly th: "PDF";
            readonly en: "PDF";
        };
        readonly WORD: {
            readonly value: 400;
            readonly th: "WORD";
            readonly en: "WORD";
        };
        readonly EXCEL: {
            readonly value: 500;
            readonly th: "EXCEL";
            readonly en: "EXCEL";
        };
        readonly TXT: {
            readonly value: 600;
            readonly th: "TXT";
            readonly en: "TXT";
        };
    }>;
    DocumentType: import("./enumsClass").Enums<{
        readonly CourseInformation: {
            readonly value: 100;
            readonly th: "ข้อมูลหลักสูตร";
            readonly en: "Course Information";
        };
        readonly TrainingReport: {
            readonly value: 200;
            readonly th: "รายงานการอบรม";
            readonly en: "Training Report";
        };
        readonly Certificate: {
            readonly value: 300;
            readonly th: "ใบรับรอง";
            readonly en: "Certificate";
        };
    }>;
    StorageTypeEnums: {
        readonly IN_DATABASE: {
            readonly value: 100;
            readonly th: "ในฐานข้อมูล";
            readonly en: "In Database";
        };
        readonly IN_LOCAL_STORAGE: {
            readonly value: 200;
            readonly th: "ในเครื่อง";
            readonly en: "In Local Storage";
        };
        readonly IN_REMOTE_STORAGE: {
            readonly value: 300;
            readonly th: "ในเครื่องระยะไกล";
            readonly en: "In Remote Storage";
        };
        readonly IN_CMS_SYSTEM: {
            readonly value: 400;
            readonly th: "ในระบบจัดการเนื้อหา";
            readonly en: "In CMS System";
        };
    };
    StorageType: import("./enumsClass").Enums<{
        readonly IN_DATABASE: {
            readonly value: 100;
            readonly th: "ในฐานข้อมูล";
            readonly en: "In Database";
        };
        readonly IN_LOCAL_STORAGE: {
            readonly value: 200;
            readonly th: "ในเครื่อง";
            readonly en: "In Local Storage";
        };
        readonly IN_REMOTE_STORAGE: {
            readonly value: 300;
            readonly th: "ในเครื่องระยะไกล";
            readonly en: "In Remote Storage";
        };
        readonly IN_CMS_SYSTEM: {
            readonly value: 400;
            readonly th: "ในระบบจัดการเนื้อหา";
            readonly en: "In CMS System";
        };
    }>;
    StorageCategoryType: import("./enumsClass").Enums<{
        readonly TYPE_POOL: {
            readonly value: 100;
            readonly th: "หมวดหมู่";
            readonly en: "Category";
        };
        readonly TYPE_YEAR: {
            readonly value: 200;
            readonly th: "ปี";
            readonly en: "Year";
        };
        readonly TYPE_DOCUMENT: {
            readonly value: 300;
            readonly th: "เอกสาร";
            readonly en: "Document";
        };
    }>;
    ExamType: import("./enumsClass").Enums<{
        readonly Questionnaire: {
            readonly value: 10;
            readonly th: "แบบสอบถามความพึงพอใจ";
            readonly en: "Questionnaire";
        };
        readonly UsageQuestionnaire: {
            readonly value: 20;
            readonly th: "แบบสอบถามการนำไปใช้ประโยชน์";
            readonly en: "Usage-Questionnaire";
        };
        readonly PreTest: {
            readonly value: 30;
            readonly th: "แบบทดสอบก่อนเรียน";
            readonly en: "Pre-Test";
        };
        readonly PostTest: {
            readonly value: 40;
            readonly th: "แบบทดสอบหลังเรียน";
            readonly en: "Post-Test";
        };
    }>;
    UsedStatus: import("./enumsClass").Enums<{
        readonly Used: {
            readonly value: 100;
            readonly th: "ถูกใช้งานแล้วอย่างน้อย 1 ครั้ง";
            readonly en: "Used";
        };
        readonly NotUsed: {
            readonly value: 200;
            readonly th: "ยังไม่เคยถูกใช้งาน";
            readonly en: "Not Used";
        };
    }>;
    ExamTemplateStatus: import("./enumsClass").Enums<{
        readonly StatusCreate: {
            readonly value: 100;
            readonly th: "ร่างแบบ";
            readonly en: "Create Template";
        };
        readonly StatusSaved: {
            readonly value: 200;
            readonly th: "บันทึกแบบ/สมบูรณ์";
            readonly en: "Saved Template";
        };
        readonly StatusAccept: {
            readonly value: 300;
            readonly th: "รับรองแบบนำไปใช้ได้";
            readonly en: "Accept Template";
        };
    }>;
    VerifyStatus: import("./enumsClass").Enums<{
        readonly New: {
            readonly value: 100;
            readonly th: "ใหม่รอการตรวจสอบ";
            readonly en: "New";
        };
        readonly Verify: {
            readonly value: 200;
            readonly th: "กำลังตรวจสอบ";
            readonly en: "Verify";
        };
        readonly Cancel: {
            readonly value: 300;
            readonly th: "ยกเลิก";
            readonly en: "Cancel";
        };
        readonly Incorrect: {
            readonly value: 400;
            readonly th: "ผิดพลาด";
            readonly en: "Incorrect";
        };
        readonly Complete: {
            readonly value: 500;
            readonly th: "สมบูรณ์";
            readonly en: "Complete";
        };
    }>;
    ExamTemplateGenerateStatus: import("./enumsClass").Enums<{
        readonly Accept: {
            readonly value: 100;
            readonly th: "อนุญาติให้นำไปสร้างแบบ";
            readonly en: "Accept";
        };
        readonly NotAccept: {
            readonly value: 200;
            readonly th: "ไม่อนุญาติให้นำไปสร้างแบบ";
            readonly en: "Not Accept";
        };
    }>;
    SectorType: import("./enumsClass").Enums<{
        readonly Sorting: {
            readonly value: 10;
            readonly th: "แบบทดสอบเรียงลำดับ";
            readonly en: "Sorting Test";
        };
        readonly Appropriate: {
            readonly value: 20;
            readonly th: "แบบทดสอบเลือกที่เหมาะสม";
            readonly en: "Appropriate Test";
        };
        readonly Priority: {
            readonly value: 30;
            readonly th: "แบบทดสอบลำดับความสำคัญ";
            readonly en: "Priority Test";
        };
    }>;
    InputType: import("./enumsClass").Enums<{
        readonly Radio: {
            readonly value: 10;
            readonly th: "เลือกตอบ 1 ตัวเลือก";
            readonly en: "Radio";
        };
        readonly CheckBox: {
            readonly value: 20;
            readonly th: "เลือกตอบหลายตัวเลือก";
            readonly en: "Check Box";
        };
        readonly Grid: {
            readonly value: 30;
            readonly th: "ตารางตัวเลือกหลายข้อ";
            readonly en: "Multiple Choice Grid";
        };
        readonly SingleLine: {
            readonly value: 40;
            readonly th: "คำตอบ 1 บรรทัด";
            readonly en: "Single Line";
        };
        readonly MultipleLine: {
            readonly value: 50;
            readonly th: "คำตอบหลายบรรทัด";
            readonly en: "Multiple Line";
        };
        readonly Date: {
            readonly value: 60;
            readonly th: "วันที่";
            readonly en: "Date";
        };
        readonly Group: {
            readonly value: 70;
            readonly th: "โจทย์ร่วม";
            readonly en: "Group";
        };
        readonly Matching: {
            readonly value: 80;
            readonly th: "จับคู่";
            readonly en: "Matching";
        };
        readonly TrueFalse: {
            readonly value: 90;
            readonly th: "ถูก/ผิด";
            readonly en: "True/False";
        };
    }>;
    InputOptionType: import("./enumsClass").Enums<{
        readonly Radio: {
            readonly value: 11;
            readonly th: "ตัวเลือก Radio";
            readonly en: "Radio";
        };
        readonly RadioOther: {
            readonly value: 12;
            readonly th: "ตัวเลือก Radio และอื่นๆ";
            readonly en: "RadioOther";
        };
        readonly Checkbox: {
            readonly value: 21;
            readonly th: "ตัวเลือก Checkbox";
            readonly en: "Checkbox";
        };
        readonly CheckboxOther: {
            readonly value: 22;
            readonly th: "ตัวเลือก Checkbox และอื่นๆ";
            readonly en: "CheckboxOther";
        };
        readonly GridChoice: {
            readonly value: 31;
            readonly th: "คำถามของ Grid, GridChoice";
            readonly en: "GridChoice";
        };
        readonly Other: {
            readonly value: 99;
            readonly th: "ตัวเลือกอื่นๆ";
            readonly en: "Other";
        };
    }>;
    AnswerType: import("./enumsClass").Enums<{
        readonly NotSpecified: {
            readonly value: 0;
            readonly th: "ไม่กำหนด";
            readonly en: "Not Specified";
        };
        readonly Correct: {
            readonly value: 10;
            readonly th: "เป็นคำตอบที่ถูกต้อง";
            readonly en: "Correct Answer";
        };
        readonly Wrong: {
            readonly value: 20;
            readonly th: "ไม่ใช่คำตอบ";
            readonly en: "Wrong Answer";
        };
    }>;
    DisplayStyleType: import("./enumsClass").Enums<{
        readonly Vertical: {
            readonly value: 10;
            readonly th: "รูปแบบการแสดงแนวตั้ง";
            readonly en: "Vertical";
        };
        readonly Horizontal: {
            readonly value: 20;
            readonly th: "รูปแบบการแสดงแนวนอน";
            readonly en: "Horizontal";
        };
        readonly NStyle: {
            readonly value: 30;
            readonly th: "รูปแบบการแสดงแนว N";
            readonly en: "NStyle";
        };
        readonly ZStyle: {
            readonly value: 40;
            readonly th: "รูปแบบการแสดงแนว Z";
            readonly en: "ZStyle";
        };
    }>;
    ExamStatus: import("./enumsClass").Enums<{
        readonly NotCreated: {
            readonly value: 100;
            readonly th: "ยังไม่สร้างแบบทดสอบ";
            readonly en: "Not Created";
        };
        readonly TakingExam: {
            readonly value: 200;
            readonly th: "อยู่ระหว่างทำแบบทดสอบ";
            readonly en: "Taking an Exam";
        };
        readonly CancelExam: {
            readonly value: 300;
            readonly th: "แบบทดสอบถูกยกเลิก";
            readonly en: "Cancel Exam";
        };
        readonly SubmittedExam: {
            readonly value: 400;
            readonly th: "ส่งผลการทดสอบแล้ว";
            readonly en: "Submitted exam";
        };
    }>;
    ExamFormStatus: import("./enumsClass").Enums<{
        readonly CreateForm: {
            readonly value: 400;
            readonly th: "สร้างแบบฟอร์ม";
            readonly en: "Create Form";
        };
        readonly StartForm: {
            readonly value: 500;
            readonly th: "ทำการทดสอบ";
            readonly en: "Start Form";
        };
        readonly SubmitForm: {
            readonly value: 550;
            readonly th: "ส่งแบบฟอร์ม";
            readonly en: "Submit Form";
        };
        readonly ProcessingForm: {
            readonly value: 600;
            readonly th: "ทำการประมวลผลแบบฟอร์ม";
            readonly en: "Processing Form";
        };
        readonly SendResults: {
            readonly value: 700;
            readonly th: "ส่งผลการประมวล / รอแจ้งผล";
            readonly en: "Send Results";
        };
        readonly Cancel: {
            readonly value: 5000;
            readonly th: "ยกเลิกแบบฟอร์ม";
            readonly en: "Cancel";
        };
        readonly TimedOut: {
            readonly value: 6000;
            readonly th: "แบบฟอร์มหมดเวลา";
            readonly en: "Timed Out";
        };
    }>;
    CheckStatus: import("./enumsClass").Enums<{
        readonly Verified: {
            readonly value: 100;
            readonly th: "ตรวจแล้ว";
            readonly en: "Verified";
        };
        readonly NotVerified: {
            readonly value: 200;
            readonly th: "ยังไม่ตรวจ";
            readonly en: "Not Verified";
        };
    }>;
    RandomOrderChoiceStatus: import("./enumsClass").Enums<{
        readonly Allow: {
            readonly value: 100;
            readonly th: "อนุญาตให้สุ่มลำดับตัวเลือก";
            readonly en: "Allow";
        };
        readonly Disallow: {
            readonly value: 200;
            readonly th: "ไม่อนุญาตให้สุ่มลำดับตัวเลือก";
            readonly en: "Disallow";
        };
    }>;
    ChoiceDisplayType: import("./enumsClass").Enums<{
        readonly AlphabetUpper: {
            readonly value: 10;
            readonly th: "รูปแบบ A, B, C, ...";
            readonly en: "Alphabet Upper";
        };
        readonly AlphabetLower: {
            readonly value: 20;
            readonly th: "รูปแบบ a, b, c, ...";
            readonly en: "Alphabet Lower";
        };
        readonly AlphabetThai: {
            readonly value: 30;
            readonly th: "รูปแบบ ก, ข, ค, ...";
            readonly en: "Alphabet Thai";
        };
        readonly Number: {
            readonly value: 40;
            readonly th: "รูปแบบ 1, 2, 3, ...";
            readonly en: "Number";
        };
    }>;
    RequireFieldType: import("./enumsClass").Enums<{
        readonly Require: {
            readonly value: 10;
            readonly th: "จำเป็นต้องมีคำตอบ";
            readonly en: "Require";
        };
        readonly Optional: {
            readonly value: 20;
            readonly th: "ไม่มีคำตอบได้";
            readonly en: "Optional";
        };
    }>;
    AnswerStatus: import("./enumsClass").Enums<{
        readonly Answered: {
            readonly value: 100;
            readonly th: "สถานะตอบแล้ว";
            readonly en: "Answered";
        };
        readonly NotAnswered: {
            readonly value: 200;
            readonly th: "สถานะยังไม่ได้ตอบ";
            readonly en: "Not Answered";
        };
    }>;
    ExamFormSectorStatus: import("./enumsClass").Enums<{
        readonly Save: {
            readonly value: 430;
            readonly th: "บันทึกแบบ";
            readonly en: "Save";
        };
        readonly OrderToCertify: {
            readonly value: 440;
            readonly th: "สั่งให้รับรองแบบ";
            readonly en: "Order To Certify";
        };
        readonly Certify: {
            readonly value: 450;
            readonly th: "รับรองแบบ";
            readonly en: "Certify";
        };
        readonly NotCertified: {
            readonly value: 455;
            readonly th: "ไม่รับรองแบบ";
            readonly en: "Not Certified";
        };
        readonly SubmitFormORWaitForExam: {
            readonly value: 460;
            readonly th: "ส่งแบบ/รอสอบ";
            readonly en: "Submit Form/Wait For Exam";
        };
        readonly OrderedToTakeExam: {
            readonly value: 500;
            readonly th: "สั่งให้สอบ";
            readonly en: "Ordered To Take Exam";
        };
        readonly TakeExam: {
            readonly value: 510;
            readonly th: "ทำการสอบ";
            readonly en: "Take Exam";
        };
        readonly SubmitTestORWaitForProcessing: {
            readonly value: 520;
            readonly th: "ส่งการทดสอบ/รอการประมวลผล";
            readonly en: "Submit Test/Wait For Processing";
        };
        readonly Processing: {
            readonly value: 610;
            readonly th: "ทำการประมวลผล";
            readonly en: "Processing";
        };
        readonly SendProcessingResultsORWaitingForResultsNotification: {
            readonly value: 620;
            readonly th: "ส่งผลการประมวลผล/รอการแจ้งผล";
            readonly en: "Send Processing Results/Waiting For Results Notification";
        };
        readonly OrderToNotifyTheProcessingResults: {
            readonly value: 700;
            readonly th: "สั่งให้แจ้งผลการประมวลผล";
            readonly en: "Order To Notify The Processing Results";
        };
        readonly NotifyResults: {
            readonly value: 710;
            readonly th: "ทำการแจ้งผล";
            readonly en: "Notify Results";
        };
    }>;
    Gender: import("./enumsClass").Enums<{
        readonly Female: {
            readonly value: 2;
            readonly th: "หญิง";
            readonly en: "female";
        };
        readonly Male: {
            readonly value: 1;
            readonly th: "ชาย";
            readonly en: "male";
        };
        readonly Other: {
            readonly value: 0;
            readonly th: "อื่นๆ";
            readonly en: "other";
        };
    }>;
    Religion: import("./enumsClass").Enums<{
        readonly Christian: {
            readonly value: 20;
            readonly th: "คริสต์";
            readonly en: "christian";
        };
        readonly Muslim: {
            readonly value: 30;
            readonly th: "อิสลาม";
            readonly en: "muslim";
        };
        readonly Hindu: {
            readonly value: 40;
            readonly th: "ฮินดู";
            readonly en: "hindu";
        };
    }>;
    DataStatusType: import("./enumsClass").Enums<{
        readonly NEW: {
            readonly value: 0;
            readonly th: "ใหม่";
            readonly en: "New";
        };
        readonly USE: {
            readonly value: 100;
            readonly th: "ใช้งานได้ แก้ไขได้";
            readonly en: "Use";
        };
        readonly LOCK: {
            readonly value: 101;
            readonly th: "ใช้งานได้ แก้ไขได้ แต่ห้ามยกเลิกข้อมูล";
            readonly en: "Lock";
        };
        readonly PERMANENT: {
            readonly value: 111;
            readonly th: "ใช้งานได้ ห้ามแก้ไข ห้ามยกเลิกข้อมูล";
            readonly en: "Permanent";
        };
        readonly PAUSE: {
            readonly value: 211;
            readonly th: "ห้ามใช้งานชั่วคราว";
            readonly en: "Pause";
        };
        readonly DISABLE: {
            readonly value: 411;
            readonly th: "ยกเลิก";
            readonly en: "Disable";
        };
        readonly DELETE: {
            readonly value: 511;
            readonly th: "ข้อมูลถูกลบรอการนำออก";
            readonly en: "Deleted";
        };
    }>;
    FlagType: import("./enumsClass").Enums<{
        readonly YES: {
            readonly value: 10;
            readonly th: "ใช่";
            readonly en: "Yes";
        };
        readonly NO: {
            readonly value: 20;
            readonly th: "ไม่ใช่";
            readonly en: "No";
        };
    }>;
    PrefixDocumentType: import("./enumsClass").Enums<{
        readonly TRM: {
            readonly value: "TRM";
            readonly th: "TRM";
            readonly en: "TRM";
        };
        readonly CM: {
            readonly value: "CM";
            readonly th: "CM";
            readonly en: "CM";
        };
        readonly RQ: {
            readonly value: "RQ";
            readonly th: "RQ";
            readonly en: "RQ";
        };
    }>;
};
export default ESIEnum;
